general {
    lock_cmd = screenlock
    unlock_cmd = pkill -USR1 swaylock
    #before_sleep_cmd = notify-send "Zzz"    # command ran before sleep
    #after_sleep_cmd = notify-send "Awake!"  # command ran after sleep
    ignore_dbus_inhibit = false             # whether to ignore dbus-sent idle-inhibit requests (used by e.g. firefox or steam)
}

listener {
    timeout = 585 # seconds
    on-timeout = notify-set idle-lock -t 14000 "Idle" "Locking in 15s..."
    on-resume = notify-set idle-lock -t 1000 "Idle" "Never mind."
}

listener {
    timeout = 600 # seconds
    on-timeout = loginctl lock-session
}
